






export class WorkspaceContextService {
    constructor() {
        this.workspace = new Workspace(workspaceResource.toString(), [toWorkspaceFolder(workspaceResource)]);
    }

    getFolders(): IWorkspaceFolder[] {
        return this.workspace ? this.workspace.folders : [];
    }

    getWorkbenchState(): WorkbenchState {
        if (this.workspace.configuration) {
            return WorkbenchState.WORKSPACE;
        }

        if (this.workspace.folders.length) {
            return WorkbenchState.FOLDER;
        }

        return WorkbenchState.EMPTY;
    }

    getCompleteWorkspace(): Promise<IWorkspace> {
        return Promise.resolve(this.getWorkspace());
    }

    getWorkspace(): IWorkspace {
        return this.workspace;
    }

    getWorkspaceFolder(resource: URI): IWorkspaceFolder | null {
        return this.workspace.getFolder(resource);
    }

    isInsideWorkspace(resource: URI): boolean {
        if (resource && this.workspace) {
            return isEqualOrParent(resource, this.workspace.folders[0].uri);
        }

        return false;
    }

    isCurrentWorkspace(workspaceIdentifier: ISingleFolderWorkspaceIdentifier | IWorkspaceIdentifier): boolean {
        return isSingleFolderWorkspaceIdentifier(workspaceIdentifier) && isEqual(this.workspace.folders[0].uri, workspaceIdentifier);
    }
}